Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 900273 - mod_jk is unable to handle space after equal '=' sign in uriworkermap.properties where worker name includes a hyphen '-'
Summary: mod_jk is unable to handle space after equal '=' sign in uriworkermap.propert...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: mod_jk
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR01
: 2.1.1
Assignee: Permaine Cheung
QA Contact: Jan Onderka
URL: http://jira.jboss.org/jira/browse/JBE...
Whiteboard:
Depends On: 1342071
Blocks: 1363639
TreeView+ depends on / blocked
 
Reported: 2012-04-20 09:16 UTC by Lami Akagwu
Modified: 2018-03-06 20:35 UTC (History)
11 users (show)

Doc Type: Known Issue
Doc Text:
In JBoss Enterprise Web Server, when a worker name includes the <literal>-</literal> character and a space is added after the <literal>=</literal> character in the <filename>uriworkermaps.properties</filename> file, the following error appears in the mod_jk logs: <screen>[25736:139832971024352] [error] uri_worker_map_ext::jk_uri_worker_map.c (506): Could not find worker with name jk-stauus in uri map post processing. [25736:139832971024352] [error] uri_worker_map_ext::jk_uri_worker_map.c (506): Could not find worker with name jk-stauus in uri map post processing.</screen> This is a known issue in JBoss Enterprise Web Server 3.0. A workaround for this issue is to remove the space after the <literal>=</literal> sign. Therefore, <literal>/jk-status|/* = jk-status</literal> is changed to <literal>/jk-status|/* =jk-status</literal>.
Clone Of: JBEWS-326
Environment:
RHEL 6 Reproduced on 2.6.32-131.0.15.el6.x86_64
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEWS-326 Minor Closed On RHEL 6 mod_jk unable to handle space after equal '=' sign in uriworkermap.properties where worker name includes a hyp... 2017-08-09 18:31:23 UTC

Description Lami Akagwu 2012-04-20 09:16:14 UTC
++ This bug is a clone of bug 900272 ++

Help Desk Ticket Reference: https://na7.salesforce.com/500A0000009gDME
Workaround Description: Remove space after'=' sign
Change
/jk-status|/* = jk-status
to
/jk-status|/* =jk-status
project_key: JBEWS

Where the worker name includes a '-' and there is a space after the '=' sign in the uriworkermap .properties, the following error is logged in the mod_jk logs

[Tue Apr 03 23:41:26.992 2012] [25736:139832971024352] [error] uri_worker_map_ext::jk_uri_worker_map.c (506): Could not find worker with name 'jk-stauus' in uri map post processing.
[Tue Apr 03 23:41:26.992 2012] [25736:139832971024352] [error] uri_worker_map_ext::jk_uri_worker_map.c (506): Could not find worker with name 'jk-stauus' in uri map post processing.

TEST CASE
## workers.properties

worker.list=jk-status
worker.jk-status.type=status
worker.jk-status.read_only=true

## uriworkermap.properties

/jk-status|/* = jk-status

## mod_jk.conf
    <Location /jk-status>
        # Inside Location we can omit the URL in JkMount
        JkMount jk-status
        Order deny,allow
        Deny from all
        Allow from 127.0.0.1
    </Location>

From the error log it is not easy to identify the root cause of the problem
If this is not going to be fixed, perhaps validating the .properties file will help users fix the errors themselves

Though for the status worker no entry is required in uriworkermap.properties. The worker.properties entry and JKMount directive is sufficient

Comment 1 Permaine Cheung 2012-04-20 13:39:09 UTC
Hi Mladen, can you please take a look? Thanks!

Comment 2 Permaine Cheung 2012-04-20 13:48:24 UTC
Updating Fix Version for tracking purpose.

Comment 3 Mladen Turk 2012-04-20 15:15:00 UTC
In the error log I see 'jk-stauus' not jk-status.
Could it be config typo?

Comment 4 Lami Akagwu 2012-04-23 08:30:38 UTC
So I thought initially, but adding the space after the equal sign appears to replicate the problem.

/jk-status|/* = jk-status

Comment 5 Mladen Turk 2012-04-23 10:25:15 UTC
But without spaces it works?
If so, I see no reason why would this be a major issue.
I can check the code, but that's minor and irrelevant stuff.

Comment 6 Lami Akagwu 2012-04-23 10:55:07 UTC
The workaround is noted, but it would be good to have this addressed at some point to have a pointer alerting the user of the root cause.

Adjusting severity

Comment 7 Mladen Turk 2012-04-23 11:57:52 UTC
Sure, I'll put that on my TODO list.
We'll probably fix that with the next mod_jk release in the upstream.
I'll see what it'll take to apply a patch for the next jboss-eap-native-webserver-connectors.zip
Then we can see if we need to apply it to EWS1

BTW, could you check with the latest upstream release if the same issue is present there as well.
If it its, could you create ASF bugzilla issue so we have that connected with upstream fixes?
Some other developer might have more free time then I, so the fix could actually appear more promptly :)


Comment 8 Jiri Skrabal 2012-11-13 16:27:29 UTC
Docs QE Status: Removed: NEW 


Comment 9 Permaine Cheung 2013-03-21 13:01:32 UTC
Lami, have you got a chance to check upstream version and file the BZ if needed?

Assigning to Weinan to follow up on this in next EWS release.

Comment 10 Jean-frederic Clere 2013-04-02 13:29:20 UTC
not yet fixed upstream.

Comment 12 Jean-frederic Clere 2014-06-18 07:34:01 UTC
BTW: There is a BZ upstream yet.

Comment 13 Michal Karm Babacek 2015-06-16 12:28:09 UTC
@Jan Stefl: Does this affect contemporary mod_jk releases, i.e. EAP 6.4+, JWS 3+ or it is merely an outdated Bugzilla?

Comment 16 Jan Stefl 2015-07-08 11:20:48 UTC
I did the verification over EAP 6.4.0.GA and JWS 3.0.0.GA and the problem does not manifest any more.

Comment 17 Michal Karm Babacek 2016-05-23 08:28:23 UTC
Apparently, needs backporting from EAP 6.4.0 mod_jk's branch and/or from JWS 3.0.0 branch? If it's not pertinent to EWS 2.1.x, pls, close.

Comment 18 Jan Onderka 2016-06-24 16:00:00 UTC
Hello,
I was trying to reproduce this issue, but every time it was able to resolve worker. It was tested with EWS 2.0, 2.1 and JWS 3.0.
Can anybody give any information?

Comment 19 Jan Onderka 2016-07-21 12:57:17 UTC
Can you please provide me failing binaries or artifacts or addition information? I am not able to reproduce it with our products mentioned above.


Note You need to log in before you can comment on or make changes to this bug.